import 'package:flutter/material.dart';
import 'package:fps_widget/fps_widget.dart';
import 'package:microfrontends/microfrontends.dart';

import 'nav/state_container.dart';
import 'pages/home.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Perf showcase',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: StaticContainer(
        container: NavContainer(
          'setState',
          ['setState', 'microfrontends'],
        ),
        child: Scaffold(
          body: FPSWidget(
            child: Home(),
          ),
        ),
      ),
    );
  }
}
